package com.godoro.samples.xml;

import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.stream.*;
import javax.xml.transform.dom.*;
import org.w3c.dom.*;
import java.io.*;

public class DomCreateTest {
  
  public static void main(String[] args)
    throws Exception
  {
    DocumentBuilderFactory factory=DocumentBuilderFactory.newInstance();
    DocumentBuilder builder=factory.newDocumentBuilder();
    Document doc=builder.newDocument();

    Element root=doc.createElement("class");
    Attr name=doc.createAttribute("name");
    root.setAttribute("name","test");

    Element test=doc.createElement("aciklama");
    Text text=doc.createTextNode("Snf ile ilgili aklama");
    test.appendChild(text);
    root.appendChild(test);
    doc.appendChild(root);

    TransformerFactory transFactory=TransformerFactory.newInstance();
    Transformer transformer=transFactory.newTransformer();
    DOMSource source=new DOMSource(doc);
    String folder="C:\\Godoro\\Projects\\Java\\Education\\JavaBook\\test";
    String out=folder+"\\class.xml";
    StreamResult output=new StreamResult(out);
    transformer.transform(source,output);   
  }
}
